import path_setting
from in_common.base_request import BaseRequest


class diary_operation_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.DIARY_OPERATION_CONFIG)

    def diary_operation(self, diary_id, title, operation_timestamp, doctor_name, hospital_name):
        self.params["diary_id"] = diary_id
        self.params["title"] = title
        self.params["operation_timestamp"] = operation_timestamp
        self.params["doctor_name"] = doctor_name
        self.params["hospital_name"] = hospital_name
        return self.api_send(self.data["operation"])


    def diary_additional_info(self):
        return self.api_send(self.data["operation"])



    # def __init__(self):
    #     self.data = self.api_load(path_setting.DIARY_OPERATION_RESULT_CONFIG)
    #
    # def diary_additional_info(self):
    #     return self.api_send(self.data["diary_additional_info"])




# if __name__ == '__main__':
#     print(conversation_request().message_read("beijing", 1,'[10622,10626,10646,10651]'))





